/*
This file is a part of the MSS project.
Copyright (C) 2008  Giovani Manzeppi Faccin

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public
License as published by the Free Software Foundation; either
version 3.0 of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
General Public License for more details.

You should have received a copy of the GNU General Public
License along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

Giovani Manzeppi Faccin (giovanifaccin@yahoo.com.br)
*/
#include "Enumerable_Object.h"

Enumerable_Object::Enumerable_Object()
{
	data[0] = 0;
	data[1] = 0;
}

Enumerable_Object::~Enumerable_Object()
{
}

//Overloading the = operator.
Enumerable_Object& Enumerable_Object::operator=(Enumerable_Object& other)
{
	data[0] = other.id();
	data[1] = other.belongs_to();

	return *this;
} 

//!Is equal to operator.
//!Returns true if both atom's id match. Otherwise returns false.
bool Enumerable_Object::operator==(Enumerable_Object& other)
{
	if ( id() == other.id() )
		return true;
	else
		return false;	
}

//!Is not equal to operator.
//!Returns true if both atom's id do not match. Otherwise returns false.
bool Enumerable_Object::operator!=(Enumerable_Object& other)
{
	if ( id() != other.id() )
		return true;
	else
		return false;		
}
